commit:     fa4cc0e6dab04f9069e1285e402e7828c0f0973c
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 13 21:44:44 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Aug 13 21:45:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa4cc0e6

net-libs/nodejs: restore 16.6.1

Partially reverts commit ffba27233d352a46ed74f24436179cd8c19274e1.

Bug: https://bugs.gentoo.org/808063
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-libs/nodejs/Manifest             |   1 +
 net-libs/nodejs/nodejs-16.6.1.ebuild | 229 +++++++++++++++++++++++++++++++++++
 2 files changed, 230 insertions(+)

diff --git a/net-libs/nodejs/Manifest b/net-libs/nodejs/Manifest
index a1ec5dfaa77..1aa4c0c4603 100644
--- a/net-libs/nodejs/Manifest
+++ b/net-libs/nodejs/Manifest
@@ -4,4 +4,5 @@ DIST node-v12.22.5.tar.xz 23654908 BLAKE2B 
ca4f304e31f091ae656142035851d6e4427d8
 DIST node-v14.16.1.tar.xz 33297064 BLAKE2B 
0927434c63cd248e90a4002b50c7a0fd68a5527a4cd7424b451840ddf0c403ba452979b195e598cc3b323e24233248a74a1274519ce8cd3a2f4e71dc7a8f3dcb
 SHA512 
d4f5fbab69592ae555613b2186090b85a458d2211b6035989aee2617bfd0f6768ca767ec45ce12756a9c452d00af7237edee3b1ae526049e9fcd01f8f67680c0
 DIST node-v14.17.3.tar.xz 33585080 BLAKE2B 
37267c9da2d773dbbe95f7378f5b0c2b0dc397b17850be325f9fec637c6745dede4ca4136ba4bf109d72d8982ee985f1e077cc706165f1be2e3dc3053edfe229
 SHA512 
c6096715299f155b96df873976da91e854da7e99cde635cdb65d5c962abc5283dac86b8ddce4f5a9f7498f9793ff08943645b5e5b0b23395dfe035f7295218bb
 DIST node-v14.17.5.tar.xz 33585724 BLAKE2B 
cf79397caad8c81e4096f344f9fdb88d8ecea44b97fe208256dfd4afb750ecdf52142a2dc0430285b9d5117bdd43fa5ce42b4418926eec4d2c7f0a5f5d1a1539
 SHA512 
9d62c8946d05862d96a13a71b241a097b9f592a9e5f7362c81d8f3c74e7c5546a308b4c74bef34a66cafeef5d1a87d9d3e5ae8bb87d470c1ecf5abb8de0dedb5
+DIST node-v16.6.1.tar.xz 33715224 BLAKE2B 
2a95dbac7606de45e6c0669ee1c1ec1ee7c105ebbb241fbcae2ec0611df1da21ade28d28d9e011569d600b46fbcb6a32fff11456efb676386ed3cbbdc26d3e16
 SHA512 
408924c587f7d92074d8cb66903bd4f6c13a3a1f50fd05ead67feb85ed44cbf2ba1a4aebec8fe51ec77c102d3c310fbabb6e2557795a29536c091e9140fcf143
 DIST node-v16.6.2.tar.xz 33713996 BLAKE2B 
a4974da7004779179bd3bb0f99bb703f789a89c3ffcf194e83ed4ad07b005cc4ff23dd16f69ed1fee5f2d142e9cd813acb9687021a8cf1a64475093928b4e107
 SHA512 
978fd8204f7512a42256b0b50d674280c418595970a1327f3197fcde1f8787816c243611c24cada8c979352d77452393481600b96e66c72c294bcd04cf33f45f

diff --git a/net-libs/nodejs/nodejs-16.6.1.ebuild 
b/net-libs/nodejs/nodejs-16.6.1.ebuild
new file mode 100644
index 00000000000..23645553646
--- /dev/null
+++ b/net-libs/nodejs/nodejs-16.6.1.ebuild
@@ -0,0 +1,229 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit bash-completion-r1 flag-o-matic pax-utils python-any-r1 
toolchain-funcs xdg-utils
+
+DESCRIPTION="A JavaScript runtime built on Chrome's V8 JavaScript engine"
+HOMEPAGE="https://nodejs.org/";
+LICENSE="Apache-1.1 Apache-2.0 BSD BSD-2 MIT"
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/nodejs/node";
+       SLOT="0"
+else
+       SRC_URI="https://nodejs.org/dist/v${PV}/node-v${PV}.tar.xz";
+       SLOT="0/$(ver_cut 1)"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x64-macos"
+       S="${WORKDIR}/node-v${PV}"
+fi
+
+IUSE="cpu_flags_x86_sse2 debug doc +icu inspector lto +npm pax-kernel 
+snapshot +ssl system-icu +system-ssl systemtap test"
+REQUIRED_USE="inspector? ( icu ssl )
+       npm? ( ssl )
+       system-icu? ( icu )
+       system-ssl? ( ssl )"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=app-arch/brotli-1.0.9
+       >=dev-libs/libuv-1.40.0:=
+       >=net-dns/c-ares-1.17.0
+       >=net-libs/nghttp2-1.41.0
+       sys-libs/zlib
+       system-icu? ( >=dev-libs/icu-67:= )
+       system-ssl? ( >=dev-libs/openssl-1.1.1:0= )"
+BDEPEND="${PYTHON_DEPS}
+       sys-apps/coreutils
+       virtual/pkgconfig
+       systemtap? ( dev-util/systemtap )
+       test? ( net-misc/curl )
+       pax-kernel? ( sys-apps/elfix )"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-12.22.1-jinja_collections_abc.patch
+       "${FILESDIR}"/${PN}-15.2.0-global-npm-config.patch
+)
+
+pkg_pretend() {
+       (use x86 && ! use cpu_flags_x86_sse2) && \
+               die "Your CPU doesn't support the required SSE2 instruction."
+
+       if [[ ${MERGE_TYPE} != "binary" ]]; then
+               if use lto; then
+                       if tc-is-gcc; then
+                               if [[ $(gcc-major-version) -ge 11 ]]; then
+                                       # Bug #787158
+                                       die "LTO builds of ${PN} using gcc-11+ 
currently fail tests and produce runtime errors. Either switch to gcc-10 or 
unset USE=lto for this ebuild"
+                               fi
+                       fi
+               fi
+       fi
+}
+
+src_prepare() {
+       tc-export AR CC CXX PKG_CONFIG
+       export V=1
+       export BUILDTYPE=Release
+
+       # fix compilation on Darwin
+       # https://code.google.com/p/gyp/issues/detail?id=260
+       sed -i -e "/append('-arch/d" tools/gyp/pylib/gyp/xcode_emulation.py || 
die
+
+       # less verbose install output (stating the same as portage, basically)
+       sed -i -e "/print/d" tools/install.py || die
+
+       # proper libdir, hat tip @ryanpcmcquen 
https://github.com/iojs/io.js/issues/504
+       local LIBDIR=$(get_libdir)
+       sed -i -e "s|lib/|${LIBDIR}/|g" tools/install.py || die
+       sed -i -e "s/'lib'/'${LIBDIR}'/" deps/npm/lib/npm.js || die
+
+       # Avoid writing a depfile, not useful
+       sed -i -e "/DEPFLAGS =/d" tools/gyp/pylib/gyp/generator/make.py || die
+
+       sed -i -e "/'-O3'/d" common.gypi node.gypi || die
+
+       # debug builds. change install path, remove optimisations and override 
buildtype
+       if use debug; then
+               sed -i -e "s|out/Release/|out/Debug/|g" tools/install.py || die
+               BUILDTYPE=Debug
+       fi
+
+       # We need to disable mprotect on two files when it builds Bug 694100.
+       use pax-kernel && PATCHES+=( 
"${FILESDIR}"/${PN}-13.8.0-paxmarking.patch )
+
+       # All this test does is check if the npm CLI produces warnings of any 
sort,
+       # failing if it does. Overkill, much? Especially given one possible 
warning
+       # is that there is a newer version of npm available upstream (yes, it 
does
+       # use the network if available), thus making it a real possibility for 
this
+       # test to begin failing one day even though it was fine before.
+       rm -f test/parallel/test-release-npm.js
+
+       default
+}
+
+src_configure() {
+       xdg_environment_reset
+
+       # LTO compiler flags are handled by configure.py itself
+       filter-flags '-flto*'
+
+       local myconf=(
+               --shared-brotli
+               --shared-cares
+               --shared-libuv
+               --shared-nghttp2
+               --shared-zlib
+       )
+       use debug && myconf+=( --debug )
+       use lto && myconf+=( --enable-lto )
+       if use system-icu; then
+               myconf+=( --with-intl=system-icu )
+       elif use icu; then
+               myconf+=( --with-intl=full-icu )
+       else
+               myconf+=( --with-intl=none )
+       fi
+       use inspector || myconf+=( --without-inspector )
+       use npm || myconf+=( --without-npm )
+       use snapshot || myconf+=( --without-node-snapshot )
+       if use ssl; then
+               use system-ssl && myconf+=( --shared-openssl 
--openssl-use-def-ca-store )
+       else
+               myconf+=( --without-ssl )
+       fi
+
+       local myarch=""
+       case ${ABI} in
+               amd64) myarch="x64";;
+               arm) myarch="arm";;
+               arm64) myarch="arm64";;
+               ppc64) myarch="ppc64";;
+               x32) myarch="x32";;
+               x86) myarch="ia32";;
+               *) myarch="${ABI}";;
+       esac
+
+       GYP_DEFINES="linux_use_gold_flags=0
+               linux_use_bundled_binutils=0
+               linux_use_bundled_gold=0" \
+       "${EPYTHON}" configure.py \
+               --prefix="${EPREFIX}"/usr \
+               --dest-cpu=${myarch} \
+               $(use_with systemtap dtrace) \
+               "${myconf[@]}" || die
+}
+
+src_compile() {
+       emake -C out
+}
+
+src_install() {
+       local LIBDIR="${ED}/usr/$(get_libdir)"
+       default
+
+       pax-mark -m "${ED}"/usr/bin/node
+
+       # set up a symlink structure that node-gyp expects..
+       dodir /usr/include/node/deps/{v8,uv}
+       dosym . /usr/include/node/src
+       for var in deps/{uv,v8}/include; do
+               dosym ../.. /usr/include/node/${var}
+       done
+
+       if use doc; then
+               docinto html
+               dodoc -r "${S}"/doc/*
+       fi
+
+       if use npm; then
+               keepdir /etc/npm
+
+               # Install bash completion for `npm`
+               local tmp_npm_completion_file="$(TMPDIR="${T}" mktemp -t 
npm.XXXXXXXXXX)"
+               "${ED}/usr/bin/npm" completion > "${tmp_npm_completion_file}"
+               newbashcomp "${tmp_npm_completion_file}" npm
+
+               # Move man pages
+               doman "${LIBDIR}"/node_modules/npm/man/man{1,5,7}/*
+
+               # Clean up
+               rm -f 
"${LIBDIR}"/node_modules/npm/{.mailmap,.npmignore,Makefile}
+               rm -rf "${LIBDIR}"/node_modules/npm/{doc,html,man}
+
+               local find_exp="-or -name"
+               local find_name=()
+               for match in "AUTHORS*" "CHANGELOG*" "CONTRIBUT*" "README*" \
+                       ".travis.yml" ".eslint*" ".wercker.yml" ".npmignore" \
+                       "*.md" "*.markdown" "*.bat" "*.cmd"; do
+                       find_name+=( ${find_exp} "${match}" )
+               done
+
+               # Remove various development and/or inappropriate files and
+               # useless docs of dependend packages.
+               find "${LIBDIR}"/node_modules \
+                       \( -type d -name examples \) -or \( -type f \( \
+                               -iname "LICEN?E*" \
+                               "${find_name[@]}" \
+                       \) \) -exec rm -rf "{}" \;
+       fi
+
+       mv "${ED}"/usr/share/doc/node "${ED}"/usr/share/doc/${PF} || die
+}
+
+src_test() {
+       if has usersandbox ${FEATURES}; then
+               rm -f "${S}"/test/parallel/test-fs-mkdir.js
+               ewarn "You are emerging ${PN} with 'usersandbox' enabled. 
Excluding tests known to fail in this mode." \
+                       "For full test coverage, emerge =${CATEGORY}/${PF} with 
'FEATURES=-usersandbox'."
+       fi
+
+       out/${BUILDTYPE}/cctest || die
+       "${EPYTHON}" tools/test.py --mode=${BUILDTYPE,,} --flaky-tests=dontcare 
-J message parallel sequential || die
+}

Reply via email to